@import 'challenge-embed-simulator';

.challenge-statement {
  /* XXX required to let "help tooltip" displaying well even if instruction section is short (1 line) */
  overflow: visible;
}

.challenge-statement quote,
.challenge-response quote {
  font-style: italic;
  color: black;
  background: whitesmoke;
  font-family: $font-open-sans;
  border-radius: 5px;
  padding: 0;
  margin: 0 0.2em;
}

.challenge-response quote {
  background: white;
}

.qcu-solution-panel quote::before,
.qcu-solution-panel blockquote::before,
.qcm-solution-panel quote::before,
.qcm-solution-panel blockquote::before,
.challenge-response quote::before,
.challenge-response blockquote::before,
.qrocm-solution-panel quote::before,
.qrocm-solution-panel blockquote::before,
.challenge-statement-instruction__text quote::before,
.challenge-statement-instruction__text blockquote::before,
.challenge-statement quote::before,
.challenge-statement blockquote::before {
  content: open-quote '\00a0 ';
}

.qcu-solution-panel quote::after,
.qcu-solution-panel blockquote::after,
.qcm-solution-panel quote::after,
.qcm-solution-panel blockquote::after,
.challenge-response quote::after,
.challenge-response blockquote::after,
.qrocm-solution-panel quote::after,
.qrocm-solution-panel blockquote::after,
.challenge-statement-instruction__text quote::after,
.challenge-statement-instruction__text blockquote::after,
.challenge-statement quote::after,
.challenge-statement blockquote::after {
  content: '\00a0 ' close-quote;
}

.challenge-response {
  background-color: white;
  background-color: rgb(245, 245, 245);
  margin-bottom: 3em;
  border-radius: 10px;
}

.challenge-statement__instruction {

  p {
    overflow-wrap: break-word;
  }

  strong {
    font-weight: $font-heavy;
  }

  a {
    text-decoration: underline;
    color: $blue;

    @include device-is('tablet') {
      display: inline-block;
    }

    &:active,
    &:focus,
    &:hover {
      color: $blue-hover;
    }
  }

  a::after {
    @include external-link;
  }
}

.challenge-statement__title {
  color: gray;
  font-size: 1.7rem;
}

.challenge-statement__instruction-section {
  display: flex;
  justify-content: space-between;
  margin-bottom: 20px;
  font-size: 0.938rem;
  font-family: $font-open-sans;

  hr {
    border-top: 1px solid $pix-neutral-15;
    border-bottom: none;
  }

  @include device-is('desktop') {
    font-size: 1.25rem;
  }
}

.challenge-statement__instruction-section blockquote,
.challenge-statement__instruction-section quote {
  font-size: inherit;
  margin: auto 0 auto 0;
}

.challenge-statement-instruction {
  &__text {
    width: 100%;

    p {
      overflow-wrap: break-word;
    }

    strong {
      font-weight: $font-heavy;
    }

    a {
      color: $pix-primary;
      text-decoration: underline;

      @include device-is('tablet') {
        display: inline-block;
      }

      &:active,
      &:focus,
      &:hover {
        color: $pix-primary-60;
      }
    }

    a::after {
      @include external-link;
    }
  }
}

.challenge-statement__illustration-section {
  display: block;
  box-sizing: content-box;
  padding: 10px 0;
  text-align: center;
  border-top: 1px solid $pix-neutral-20;
}

.challenge-statement__attachments-section {
  padding: 20px;
  text-align: center;
  background-color: $pix-neutral-15;
}

.challenge-statement__text {
  font-size: 1rem;
}

.challenge-statement__help-icon {
  position: relative;
  display: inline-block;
  margin: 0 5px;
  color: $pix-primary;
  cursor: pointer;
}

.challenge-statement__help-tooltip {
  position: absolute;
  bottom: 30px;
  left: 50%;
  z-index: 999;
  width: 430px;
  height: auto;
  margin-left: -400px;
  padding: 15px;
  color: $pix-neutral-22;
  text-align: justify;
  background-color: $pix-neutral-0;
  border: solid 1px $pix-neutral-20;
  border-radius: 6px;
  box-shadow: 1px 1px 1px 0 rgb(0 0 0 / 10%);
  visibility: hidden;
}

/* XXX tooltip bottom arrow */
.challenge-statement__help-tooltip::before {
  position: absolute;
  top: 100%;
  left: 400px;
  width: 0;
  height: 0;
  margin-left: -10px;
  border-top: 10px solid $pix-neutral-20;
  border-right: 10px solid transparent;
  border-left: 10px solid transparent;
  content: '';
}

.challenge-statement__help-tooltip::after {
  position: absolute;
  top: 100%;
  left: 400px;
  width: 0;
  height: 0;
  margin-left: -8px;
  border-top: 8px solid white;
  border-right: 8px solid transparent;
  border-left: 8px solid transparent;
  content: '';
}

/* XXX the magic trick to manage tooltip appearing at icon mouse hover */
.challenge-statement__help-icon:hover .challenge-statement__help-tooltip {
  visibility: visible;
}

.challenge-statement__help-text {
  color: $pix-neutral-80;
  font-size: 0.875rem;
}

.challenge-statement__file-options {
  margin-left: 0;
  padding: 10px 0;
}

.challenge-statement__file-option {
  display: inline-block;
  margin: 5px;
  padding: 0 15px;
  list-style-type: none;
}

.label-checkbox-downloadable {
  position: relative;
  display: inline-block;
  padding-left: 6px;
  cursor: pointer;
}

.challenge-statement__file-option-label {
  font-weight: $font-normal;
  font-size: 1rem;
  line-height: 10px;
}

.challenge-statement__action {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.challenge-statement__action-link {
  width: 156px;
  height: 46px;
  margin-bottom: $spacing-m;
  color: $pix-neutral-0;
  text-align: center;
  background-color: $pix-primary;
  border-radius: 23px;
  cursor: pointer;
}

.challenge-statement__action-link:hover,
.challenge-statement__action-link:focus {
  color: $pix-neutral-0;
}

.challenge-statement__action-help {
  font-size: 0.825rem;

  &--link {
    color: $pix-primary-60;
    text-decoration: underline;

    &:active,
    &:focus,
    &:hover {
      color: $dark-blue-pro;
    }

    &:visited {
      color: $pix-primary;
    }

    &::after {
      @include external-link;

      position: relative;
      top: 4px;
      left: 2px;
    }
  }
}

.challenge-statement__action-label {
  width: 76px;
  font-weight: $font-heavy;
  font-size: 1rem;
  line-height: 46px;
  text-transform: uppercase;
}

.challenge-statement__instruction pre {
  background: azure;
  word-break: break-word;
  border-color: lightgray;
}

.challenge-statement__instruction code {
  background: azure;
  white-space: normal;
  font-size: 120%;
  line-height: 169%;
}

.challenge-statement__alternative-instruction {
  margin-top: 20px;
  margin-bottom: 20px;

  button {
    padding: 0;
    color: $pix-primary;
    font-weight: 500;
    font-size: 1rem;
    background-color: transparent;
    border: none;
    cursor: pointer;

    &:hover,
    &:focus,
    &:active {
      color: $pix-neutral-0;
    }
  }

  &-text {
    margin-top: 10px;
  }
}
